<!--
    open-book.html

    This short code uses the open book API to render
    book details given its ISBN code.

    ARGUMENTS:
    The short code takes a single argument, ISBN of the book,
    either 10 or 13 digits.
  -->
<style>
  .ob-container { width: 56.6%; }
  .ob {
      display: flex;
      flex-basis: auto;
  }
  .ob-cover {
      flex-direction: column;
  }
  .ob-detail {
      flex-direction:column;
      padding: 1rem;
  }
  .ob-detail ul {
      margin: 0px;
      padding: 0px;
  }
 .ob-detail ul li {
     font-size: 0.8em;
     line-height: 1.4em;
     width: 100% !important;
     max-width: 100%;
     margin:0;
     padding:0;
 }
</style>

{{- $isbn     := (trim .Inner " ") -}}
{{- $bookURL  :=  printf "http://localhost:8080/openlib/books/%s" $isbn -}}
{{ with getJSON $bookURL  }}
<article class="hrs ob-container">
{{ $bookTitle :=  .title | plainify }}
 <div class="ob" >
 <!-- begin: cover image -->
 {{ with resources.GetRemote .cover_image }}
 {{ with .Err }}
    {{ warnf "%s" . }}
 {{ else }}
    <div class="ob-cover">
    {{ $data := resources.Fingerprint .}}
    <img src="{{ $data.RelPermalink }}"
         width="{{ $data.Width }}"
         height="{{ $data.Height }}"
         alt="{{ $bookTitle }}"
         integrity="{{$data.Data.integrity}}">
  </div>
 {{ end }}
 {{ end }}
 <!-- end: cover image -->

 <!-- begin: book details -->
 <div class="ob-detail">
   <ul>
    <li><strong>{{ .title | plainify }}</strong></li>
    <li> {{range .authors}}<a href="{{.link}}">{{.name}}</a>{{end}} </li>
    <li> {{range .contributors}}{{.}} {{end}}</li>
    <li>{{.publish_date | plainify }}</li>
    <li>{{range .publishers}} <span>{{- . -}}</span> {{end}}</li>
    <li> <a href="{{.url}}" alt="{{.title}}y">{{.url}}</a> </li>
   </ul>
   <div>{{.description | plainify }}</div>
 </div>
 <!-- end: book details -->
 </div>
</article>
{{ end }}
